Bug 102932 - Mozilla will not cache SSL even when option in config is set.
Mozilla will not cache SSL even when option in config is set.
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-22 15:00 EDT by Brian C. Huffman
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:48:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian C. Huffman 2003-08-22 15:00:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I would like to have mozilla cache images in an SSL page.  I have enabled the
option in about: config

browser.cache.disk_cache_ssl    user set    bool    true

I think the very first time that I enabled this, I saw a speedup, but never
again.  I have cleared my caches and tried again...no matter what I do, it's not
caching.  IE on the other hand brings up the images in the page in question
almost immediately (b/c they're not changing at all).

Version-Release number of selected component (if applicable):
mozilla-1.2.1-26

How reproducible:
Always

Steps to Reproduce:
1. Set browser.cache.disk_cache_ssl true
2. Go to a page with many static graphics (on slow connection)
3. Switch to another page
4. Go back - on slow connection, it will be apparent that the images were not
cached.
    

Actual Results:  Using a slow connection (192k), it is apparent that static
images are either not cached or are not used when a page is reloaded.  This
*does not* happen in IE - so I don't think this is a server-side issue.

Expected Results:  Should cache images - I'm using on a web mail page which is
very image-intensive.

Additional info:
Comment 1 Christopher Blizzard 2003-09-03 11:03:36 EDT
There are a lot of sites that use SSL (banks, etc) that require that we never
cache anything, and we respect those settings.  The simple fact is that if we
didn't support that ability, the banks would block us, and that's not good for
anyone.

Do you have a url to test with?  It might be a bug, but I can't tell unless you
give me a test site.
Comment 2 Brian C. Huffman 2003-09-08 17:32:08 EDT
Kind of difficult...I'm using the opengroupware server but forcing it to use SSL
via apache's rewrite rules.  possibly I did something wrong in setting up the
rewrite rules?  Or an option in apache?  If I use apache to force SSL on an
otherwise standard web app, then it should be the apache server that defines
whether or not to allow caching on the client side, right?
Comment 3 Bill Nottingham 2006-08-05 00:04:46 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 5 Bill Nottingham 2007-01-02 13:48:23 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.